package com.chinaitop.depot.grainAnalysis.model;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

public class GrainAnalysis {
    private String id;//主键ID

    /**
     * 单号
     */
    private String bh;

    /**
     * 粮库名称
     */
    private String lkmc;

    /**
     * 仓房Id
     */
    private Integer houseId;

    /**
     * 仓房编号
     */
    private String houseCode;

    /**
     * 货位Id
     */
    private Integer warehouseId;

    /**
     * 仓房类型
     */
    private Integer houseType;

    /**
     * 粮食品种
     */
    private Integer lspz;

    /**
     * 明细品种
     */
    private Integer mxpz;

    /**
     * 责任保管人
     */
    private String zrbgy;

    /**
     * 提交人
     */
    private String tjr;

    /**
     * 检查起始日期
     */
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    private Date jcqsrq;

    /**
     * 检查终止日期
     */
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    private Date jczzrq;

    /**
     * 提交日期
     */
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd")
    private Date tjrq;

    /**
     * 创建时间
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date createTime;

    /**
     * 库ID
     */
    private Integer orgId;

    /**
     * 粮情分析
     */
    private String lqfx;

    /**
     * 仓内检查情况
     */
    private String lqzk;

    /**
     * 结论
     */
    private String jl;

    /**
     * 仓储科长意见
     */
    private String cckzyj;

    /**
     * 备注
     */
    private String bz;

    /**
     * 检查年份
     */
    private Integer jcnf;

    /**
     * 检查月份
     */
    private Integer jcyf;

    /**
     * 检查季度
     */
    private Integer jcjd;

    /**
     * 类型 1：周报 2月报 3季报
     */
    private Integer type;

    /**
     * 最后修改时间
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date updatetime;

    /**
     * storage_grain_analysis表ID
     */
    private  String zid;

    //仓房名称
    private String cfmc;

    //货位名称
    private String hwmc;
   
    //品种名称
    private String pzmc;

    //明细品种名称
    private String mxpzmc;

    //仓房类型名称
    private String cflx;

    /**
     * 异常情况与四无检查
     */
    private List<GrainAnalysisAbnormal> grainAnalysisAbnormalList;

    /**
     * 温湿度数据(旧版使用)
     */
    private List<TTestdata> tTestdata;
    
    /**
     * 温湿度数据(新版)
     */
    private List<GrainAnalysisTestdata> analysisTestdata;

    /**
     * 月报下挂载的周报或月报数据
     */
    private List<GrainAnalysisMonthdata> analysisMonthdata;

    /**
     * 报表主表数据
     */
    private StorageGrainAnalysis storageGrainAnalysis;

    /**
     * 主键uuid
     * @return id 主键uuid
     */
    public String getId() {
        return id;
    }

    /**
     * 主键uuid
     * @param id 主键uuid
     */
    public void setId(String id) {
        this.id = id;
    }

    /**
     * 单号
     * @return bh 单号
     */
    public String getBh() {
        return bh;
    }

    /**
     * 单号
     * @param bh 单号
     */
    public void setBh(String bh) {
        this.bh = bh == null ? null : bh.trim();
    }

    /**
     * null
     * @return lkmc null
     */
    public String getLkmc() {
        return lkmc;
    }

    /**
     * null
     * @param lkmc null
     */
    public void setLkmc(String lkmc) {
        this.lkmc = lkmc == null ? null : lkmc.trim();
    }

    /**
     * null
     * @return house_id null
     */
    public Integer getHouseId() {
        return houseId;
    }

    /**
     * null
     * @param houseId null
     */
    public void setHouseId(Integer houseId) {
        this.houseId = houseId;
    }

    /**
     * null
     * @return house_code null
     */
    public String getHouseCode() {
        return houseCode;
    }

    /**
     * null
     * @param houseCode null
     */
    public void setHouseCode(String houseCode) {
        this.houseCode = houseCode == null ? null : houseCode.trim();
    }

    /**
     * null
     * @return warehouse_id null
     */
    public Integer getWarehouseId() {
        return warehouseId;
    }

    /**
     * null
     * @param warehouseId null
     */
    public void setWarehouseId(Integer warehouseId) {
        this.warehouseId = warehouseId;
    }

    /**
     * 仓房类型
     * @return house_type null
     */
    public Integer getHouseType() {
        return houseType;
    }

    /**
     * 仓房类型
     * @param houseType null
     */
    public void setHouseType(Integer houseType) {
        this.houseType = houseType;
    }

    /**
     * 粮食品种
     * @return lspz 粮食品种
     */
    public Integer getLspz() {
        return lspz;
    }

    /**
     * 粮食品种
     * @param lspz 粮食品种
     */
    public void setLspz(Integer lspz) {
        this.lspz = lspz;
    }
    
    /**
     * 明细品种
     * @return mxpz 明细品种
     */
    public Integer getMxpz() {
        return mxpz;
    }

    /**
     * 明细品种
     * @param mxpz 明细品种
     */
    public void setMxpz(Integer mxpz) {
        this.mxpz = mxpz;
    }

    /**
     * 责任保管员
     * @return zrbgy null
     */
    public String getZrbgy() {
        return zrbgy;
    }

    /**
     * 责任保管员
     * @param zrbgy null
     */
    public void setZrbgy(String zrbgy) {
        this.zrbgy = zrbgy == null ? null : zrbgy.trim();
    }

    /**
     * null
     * @return tjr null
     */
    public String getTjr() {
        return tjr;
    }

    /**
     * null
     * @param tjr null
     */
    public void setTjr(String tjr) {
        this.tjr = tjr == null ? null : tjr.trim();
    }

    /**
     * null
     * @return jcqsrq null
     */
    public Date getJcqsrq() {
        return jcqsrq;
    }

    /**
     * null
     * @param jcqsrq null
     */
    public void setJcqsrq(Date jcqsrq) {
        this.jcqsrq = jcqsrq;
    }

    /**
     * null
     * @return jczzrq null
     */
    public Date getJczzrq() {
        return jczzrq;
    }

    /**
     * null
     * @param jczzrq null
     */
    public void setJczzrq(Date jczzrq) {
        this.jczzrq = jczzrq;
    }

    /**
     * 提交日期
     * @return tjrq 提交日期
     */
    public Date getTjrq() {
        return tjrq;
    }

    /**
     * 提交日期
     * @param tjrq 提交日期
     */
    public void setTjrq(Date tjrq) {
        this.tjrq = tjrq;
    }

    /**
     * null
     * @return create_time null
     */
    public Date getCreateTime() {
        return createTime;
    }

    /**
     * null
     * @param createTime null
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * null
     * @return org_id null
     */
    public Integer getOrgId() {
        return orgId;
    }

    /**
     * null
     * @param orgId null
     */
    public void setOrgId(Integer orgId) {
        this.orgId = orgId;
    }

    /**
     * 粮情分析
     * @return lqfx null
     */
    public String getLqfx() {
        return lqfx;
    }

    /**
     * 粮情分析
     * @param lqfx null
     */
    public void setLqfx(String lqfx) {
        this.lqfx = lqfx == null ? null : lqfx.trim();
    }

    /**
     * 仓内检查情况
     * @return lqzk 仓内检查情况
     */
    public String getLqzk() {
        return lqzk;
    }

    /**
     * 仓内检查情况
     * @param lqzk 仓内检查情况
     */
    public void setLqzk(String lqzk) {
        this.lqzk = lqzk == null ? null : lqzk.trim();
    }

    /**
     * null
     * @return jl null
     */
    public String getJl() {
        return jl;
    }

    /**
     * null
     * @param jl null
     */
    public void setJl(String jl) {
        this.jl = jl == null ? null : jl.trim();
    }

    /**
     * null
     * @return cckzyj null
     */
    public String getCckzyj() {
        return cckzyj;
    }

    /**
     * null
     * @param cckzyj null
     */
    public void setCckzyj(String cckzyj) {
        this.cckzyj = cckzyj == null ? null : cckzyj.trim();
    }

    /**
     * null
     * @return bz null
     */
    public String getBz() {
        return bz;
    }

    /**
     * null
     * @param bz null
     */
    public void setBz(String bz) {
        this.bz = bz == null ? null : bz.trim();
    }

    /**
     * null
     * @return jcnf null
     */
    public Integer getJcnf() {
        return jcnf;
    }

    /**
     * null
     * @param jcnf null
     */
    public void setJcnf(Integer jcnf) {
        this.jcnf = jcnf;
    }

    /**
     * null
     * @return jcyf null
     */
    public Integer getJcyf() {
        return jcyf;
    }

    /**
     * null
     * @param jcyf null
     */
    public void setJcyf(Integer jcyf) {
        this.jcyf = jcyf;
    }

    /**
     * null
     * @return jcjd null
     */
    public Integer getJcjd() {
        return jcjd;
    }

    /**
     * null
     * @param jcjd null
     */
    public void setJcjd(Integer jcjd) {
        this.jcjd = jcjd;
    }

    /**
     * 数据类型(1是周报,2是月报,3是季报)
     * @return type null
     */
    public Integer getType() {
        return type;
    }

    /**
     * 数据类型(1是周报,2是月报,3是季报)
     * @param type null
     */
    public void setType(Integer type) {
        this.type = type;
    }

    /**
     * 最后修改时间
     * @return
     */
    public Date getUpdatetime() {
		return updatetime;
	}

    /**
     * 最后修改时间
     * @param updatetime
     */
	public void setUpdatetime(Date updatetime) {
		this.updatetime = updatetime;
	}

	/**
	 * storage_grain_analysis表ID
	 * @return
	 */
	public String getZid() {
		return zid;
	}

	/**
	 * storage_grain_analysis表ID
	 * @param zid
	 */
	public void setZid(String zid) {
		this.zid = zid;
	}

	public List<GrainAnalysisAbnormal> getGrainAnalysisAbnormalList() {
        return grainAnalysisAbnormalList;
    }

    public void setGrainAnalysisAbnormalList(List<GrainAnalysisAbnormal> grainAnalysisAbnormalList) {
        this.grainAnalysisAbnormalList = grainAnalysisAbnormalList;
    }

    public List<TTestdata> gettTestdata() {
        return tTestdata;
    }

    public void settTestdata(List<TTestdata> tTestdata) {
        this.tTestdata = tTestdata;
    }

	public List<GrainAnalysisTestdata> getAnalysisTestdata() {
		return analysisTestdata;
	}

	public void setAnalysisTestdata(List<GrainAnalysisTestdata> analysisTestdata) {
		this.analysisTestdata = analysisTestdata;
	}

	public List<GrainAnalysisMonthdata> getAnalysisMonthdata() {
		return analysisMonthdata;
	}

	public void setAnalysisMonthdata(List<GrainAnalysisMonthdata> analysisMonthdata) {
		this.analysisMonthdata = analysisMonthdata;
	}

	public StorageGrainAnalysis getStorageGrainAnalysis() {
		return storageGrainAnalysis;
	}

	public void setStorageGrainAnalysis(StorageGrainAnalysis storageGrainAnalysis) {
		this.storageGrainAnalysis = storageGrainAnalysis;
	}

	/**
	 * 仓房名称
	 * @return
	 */
	public String getCfmc() {
		return cfmc;
	}

	/**
	 * 仓房名称
	 * @param cfmc
	 */
	public void setCfmc(String cfmc) {
		this.cfmc = cfmc;
	}

	/**
	 * 货位名称
	 * @return
	 */
	public String getHwmc() {
		return hwmc;
	}

	/**
	 * 货位名称
	 * @param hwmc
	 */
	public void setHwmc(String hwmc) {
		this.hwmc = hwmc;
	}

	public String getPzmc() {
		return pzmc;
	}

	public void setPzmc(String pzmc) {
		this.pzmc = pzmc;
	}

	public String getMxpzmc() {
		return mxpzmc;
	}

	public void setMxpzmc(String mxpzmc) {
		this.mxpzmc = mxpzmc;
	}

	public String getCflx() {
		return cflx;
	}

	public void setCflx(String cflx) {
		this.cflx = cflx;
	}
}