package com.chinaitop.depot.grainAnalysis.model;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;

public class StorageGrainAnalysis {
    private String id;//主键ID

    private Integer orgId;//库ID

    private String dataType;//数据类型(1:周报,2:半月报,3:季报)

    private String ssyf;//所属月份

    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date tjrq;//提交日期

    private String sbzq;//上报周期

    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date jcksrq;//检查开始日期

    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date jcjsrq;//检查结束日期

    private Integer sbcfs;//上报仓房数

    private String dataStatus;//数据状态(0:保存,1:提交)

    private Integer lspz;

    private Integer mxpz;

    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date cjsj;//创建时间

    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date updatetime;//修改时间

    private String tjr;//提交人

    private String orgName;//库点名称

    /**
     * 主键ID
     * @return id 主键ID
     */
    public String getId() {
        return id;
    }

    /**
     * 主键ID
     * @param id 主键ID
     */
    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    /**
     * 库ID
     * @return org_id 库ID
     */
    public Integer getOrgId() {
        return orgId;
    }

    /**
     * 库ID
     * @param orgId 库ID
     */
    public void setOrgId(Integer orgId) {
        this.orgId = orgId;
    }

    /**
     * 数据类型(1:周报,2:半月报,3:季报)
     * @return data_type 数据类型(1:周报,2:半月报,3:季报)
     */
    public String getDataType() {
        return dataType;
    }

    /**
     * 数据类型(1:周报,2:半月报,3:季报)
     * @param dataType 数据类型(1:周报,2:半月报,3:季报)
     */
    public void setDataType(String dataType) {
        this.dataType = dataType == null ? null : dataType.trim();
    }

    /**
     * 所属月份
     * @return
     */
    public String getSsyf() {
		return ssyf;
	}

    /**
     * 所属月份
     * @param ssyf
     */
	public void setSsyf(String ssyf) {
		this.ssyf = ssyf;
	}

	/**
     * 提交日期
     * @return tjrq 提交日期
     */
    public Date getTjrq() {
        return tjrq;
    }

    /**
     * 提交日期
     * @param tjrq 提交日期
     */
    public void setTjrq(Date tjrq) {
        this.tjrq = tjrq;
    }

    /**
     * 上报周期
     * @return sbzq 上报周期
     */
    public String getSbzq() {
        return sbzq;
    }

    /**
     * 上报周期
     * @param sbzq 上报周期
     */
    public void setSbzq(String sbzq) {
        this.sbzq = sbzq == null ? null : sbzq.trim();
    }

    /**
     * 检查开始日期
     * @return jcksrq 检查开始日期
     */
    public Date getJcksrq() {
        return jcksrq;
    }

    /**
     * 检查开始日期
     * @param jcksrq 检查开始日期
     */
    public void setJcksrq(Date jcksrq) {
        this.jcksrq = jcksrq;
    }

    /**
     * 检查结束日期
     * @return jcjsrq 检查结束日期
     */
    public Date getJcjsrq() {
        return jcjsrq;
    }

    /**
     * 检查结束日期
     * @param jcjsrq 检查结束日期
     */
    public void setJcjsrq(Date jcjsrq) {
        this.jcjsrq = jcjsrq;
    }

    /**
     * 上报仓房数
     * @return sbcfs 上报仓房数
     */
    public Integer getSbcfs() {
        return sbcfs;
    }

    /**
     * 上报仓房数
     * @param sbcfs 上报仓房数
     */
    public void setSbcfs(Integer sbcfs) {
        this.sbcfs = sbcfs;
    }

    /**
     * 数据状态(0:保存,1:提交)
     * @return data_status 数据状态(0:保存,1:提交)
     */
    public String getDataStatus() {
        return dataStatus;
    }

    /**
     * 数据状态(0:保存,1:提交)
     * @param dataStatus 数据状态(0:保存,1:提交)
     */
    public void setDataStatus(String dataStatus) {
        this.dataStatus = dataStatus == null ? null : dataStatus.trim();
    }

    /**
     * 明细品种
     * @return
     */
    public Integer getMxpz() {
		return mxpz;
	}

    /**
     * 明细品种
     * @param mxpz
     */
	public void setMxpz(Integer mxpz) {
		this.mxpz = mxpz;
	}

	/**
     * 粮食品种
     * @return lspz 粮食品种
     */
    public Integer getLspz() {
        return lspz;
    }

    /**
     * 粮食品种
     * @param lspz 粮食品种
     */
    public void setLspz(Integer lspz) {
        this.lspz = lspz;
    }

    /**
     * 创建时间
     * @return cjsj 创建时间
     */
    public Date getCjsj() {
        return cjsj;
    }

    /**
     * 创建时间
     * @param cjsj 创建时间
     */
    public void setCjsj(Date cjsj) {
        this.cjsj = cjsj;
    }

    /**
     * 修改时间
     * @return updatetime 修改时间
     */
    public Date getUpdatetime() {
        return updatetime;
    }

    /**
     * 修改时间
     * @param updatetime 修改时间
     */
    public void setUpdatetime(Date updatetime) {
        this.updatetime = updatetime;
    }

    /**
     * 提交人
     * @return
     */
	public String getTjr() {
		return tjr;
	}

	/**
	 * 提交人
	 * @param tjr
	 */
	public void setTjr(String tjr) {
		this.tjr = tjr;
	}

	/**
	 * 库区名称
	 * @return
	 */
	public String getOrgName() {
		return orgName;
	}

	/**
	 * 库区名称
	 * @param orgName
	 */
	public void setOrgName(String orgName) {
		this.orgName = orgName;
	}
}