package com.chinaitop.depot.grainAnalysis.service;

import java.text.ParseException;
import java.util.List;

import com.chinaitop.depot.grainAnalysis.model.GrainAnalysis;
import com.chinaitop.depot.grainAnalysis.model.GrainAnalysisExample;
import com.chinaitop.depot.grainAnalysis.model.GrainAnalysisMonthdata;
import com.chinaitop.depot.grainAnalysis.model.GrainAnalysisTestdata;

public interface GrainAnalysisService {

	List<GrainAnalysis> getList(GrainAnalysisExample example);

	void save(GrainAnalysis grainAnalysisAbnormal);

	void update(GrainAnalysis grainAnalysisAbnormal);

    GrainAnalysis getById(String id);

	List<GrainAnalysis> getMonthAnalysis(Integer houseId, Integer jcnf, Integer jcjd, Integer orgId);

	List<GrainAnalysis> getWeekAnalysis(Integer houseId, Integer jcnf, Integer jcyf, Integer orgId) throws ParseException;

	/**
	 * 保存或修改一条单仓粮情分析数据
	 * @param grainAnalysisJson
	 * @throws ParseException
	 */
	void saveOrUpdateWeek(String grainAnalysisJson) throws Exception;

	/**
	 * 单仓粮情分析点编辑获取数据
	 * @param id
	 * @return
	 * @throws Exception
	 */
	GrainAnalysis info(String id) throws Exception;

	/**
	 * 删除一条仓房粮情分析数据
	 * @param id
	 * @param sclx 删除类型(0代表全删整条)
	 * @throws Exception
	 */
	void removeGrainAnalisys(String id, String sclx) throws Exception;

	/**
	 * 选择周报
	 * @param ssyf 所属月份
	 * @param houseId 仓房ID
	 * @return
	 * @throws Exception
	 */
	List<GrainAnalysisMonthdata> queryWeekAnalysis(String ssyf, Integer houseId) throws Exception;

	/**
	 * 查看仓房温湿度情况
	 * @param ids
	 * @param gn_type 功能类型(month是半月报, quarter代表季报)
	 * @param sbzq 上报周期
	 * @param houseId 仓房ID
	 * @return
	 * @throws Exception
	 */
	List<GrainAnalysisTestdata> queryGrainAnalysisTestdata(String ids, String gn_type, String sbzq, Integer houseId) throws Exception;
}
