package com.chinaitop.depot.keeperAccount.model;

import java.math.BigDecimal;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
@ApiModel(value = "Storage_fcbgz--新版分仓保管账表")
public class StorageFcbgz {
	@ApiModelProperty(value = "主键id")
	private String id;

	@ApiModelProperty(value = "库ID")
    private String orgId;

	@ApiModelProperty(value = "仓房ID")
    private Integer ch;

	@ApiModelProperty(value = "货位ID")
    private Integer hwh;

	@ApiModelProperty(value = "品种ID")
    private Integer pz;

	@ApiModelProperty(value = "明细品种ID")
    private Integer mxpz;

	@ApiModelProperty(value = "粮食性质ID")
    private Integer lyxz;

	@ApiModelProperty(value = "支出数量")
    private BigDecimal zcsl;

	@ApiModelProperty(value = "收入数量")
    private BigDecimal srsl;

	@ApiModelProperty(value = "库存数量")
    private BigDecimal kcsl;

	@ApiModelProperty(value = "损耗数量")
    private BigDecimal shsl;

	@ApiModelProperty(value = "溢余数量")
    private BigDecimal yysl;

	@ApiModelProperty(value = "记账日期")
	@JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date jzrq;

	@JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "最后一条业务时间")
    private Date lastBusinessDate;

	@ApiModelProperty(value = "记账人")
    private String jzr;

	@JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "记账时间")
    private Date jzsj;

	@ApiModelProperty(value = "审核人")
    private String shr;

	@JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "审核时间")
    private Date shsj;

	@ApiModelProperty(value = "记账年度")
    private String jznd;

	@ApiModelProperty(value = "记账凭证")
    private String jzpz;

	@ApiModelProperty(value = "记账摘要")
    private String jzzy;

	@ApiModelProperty(value = "数据说明")
    private String sjfm;

	@ApiModelProperty(value = "数据状态(0:已记账,1:未记账)")
    private String dataStatus;

	@ApiModelProperty(value = "数据类型(0:普通账,1:合计账,2:结转账)")
    private String dataType;

	@ApiModelProperty(value = "业务类型(0:省级储备粮,1:市级储备粮,2:商品粮,3:其它粮)")
    private String ywlx;

	@JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "数据生成时间")
    private Date cjsj;

	@ApiModelProperty(value = "是否在页面显示(0:是,1:否)")
    private String isShow;

	@ApiModelProperty(value = "是否结转(0:是,1:否)")
    private String sfjz;

}