package com.chinaitop.depot.keeperAccount.service;

import java.util.List;

import com.chinaitop.depot.keeperAccount.model.StorageFcbgz;

public interface StorageFcbgzService {

	/**
	 * 定时生成分仓保管账数据
	 * @param orgId 粮库ID
	 * @param hwxz 粮食性质
	 * @throws Exception
	 */
	void timedGenerationFcbgzData(String orgId, String hwxz, String rqs) throws Exception;

	/**
	 * 分仓保管账查询列表
	 * @param lspz 品种
	 * @param lsxz 性质
	 * @param jznd 记账年度
	 * @param dataStatus 是否记账(0:已记账,1:未记账)
	 * @param sfjz 是否结转(0:是,1:否)
	 * @param orgId 库ID
	 * @return
	 */
	List<StorageFcbgz> selectFcbgzList(Integer lspz, Integer lsxz, String jznd, String dataStatus, String sfjz, Integer orgId) throws Exception;

	/**
	 * 点记账
	 * @param ch 仓房ID
	 * @param hwh 货位ID
	 * @param lsxz 粮食性质
	 * @param jznd 记账年度
	 * @param dataType 数据类型(0:普通账,1:合计账,2:结转账)
	 * @return
	 */
	List<StorageFcbgz> queryJzList(Integer ch, Integer hwh, Integer lsxz, String jznd) throws Exception;
}
