package com.chinaitop.depot.profitlossStatement.model;

import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @author qingsong.han
 * @description: 损益单分析汇总
 * @create 2024-11-18 10:16
 */
@Getter @Setter
public class PayoffsInfo implements Serializable {
    private static final long serialVersionUID = -9027285257515748650L;
    // 地区
    private String areaName;
    // 企业名称
    private String orgName;
    // 仓房名称
    private String storehouseName;
    // 货位名称
    private String warehouseName;
    // 粮食品种
    private String varietyName;
    // 质量等级
    private String gradeName;
    // 收获年度
    private String harvestYear;
    // 粮食性质
    private String grainNatureName;
    // 入库日期
    private String rq;
    // 入库数量(kg)
    private BigDecimal rksl;
    // 出库数量(kg)
    private BigDecimal cksl;
    // 损失量(kg)
    private String sssl;
    // 损失率(%)
    private String ssl;
    // 损耗量(kg)
    private BigDecimal sjshsl;
    // 损耗率(%)
    private BigDecimal shl;
    // 溢余数量(kg)
    private BigDecimal yysl;
    // 是否超耗
    private String sfch;
    // 超耗数量(kg)
    private BigDecimal chsl;
}
